%{?mingw_package_header}

Name:           mingw-orc
Version:        0.4.40
Release:        %mkrel 1
Summary:        Cross compiled Oil Run-time Compiler

Group:          Development/Other
License:        BSD
URL:            http://code.entropywave.com/projects/orc/
Source0:        https://gstreamer.freedesktop.org/src/orc/orc-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc

BuildRequires:  meson


%description
Orc is a library and set of tools for compiling and executing
very simple programs that operate on arrays of data.  The "language"
is a generic assembly language that represents many of the features
available in SIMD architectures, including saturated addition and
subtraction, and many arithmetic operations.


# Mingw32
%package -n mingw32-orc
Summary: %{summary}

%description -n mingw32-orc
Cross compiled Oil Run-time Compiler.

%package -n mingw32-orc-compiler
Summary:        Orc compiler
Group:          Development/Other
Requires:       mingw32-orc = %{version}-%{release}
Requires:       pkgconfig

%description -n mingw32-orc-compiler
The Orc compiler, to produce optimized code.

# Mingw64
%package -n mingw64-orc
Summary: %{summary}

%description -n mingw64-orc
Cross compiled Oil Run-time Compiler.

%package -n mingw64-orc-compiler
Summary:        Orc compiler
Group:          Development/Other
Requires:       mingw64-orc = %{version}-%{release}
Requires:       pkgconfig

%description -n mingw64-orc-compiler
The Orc compiler, to produce optimized code.

%{?mingw_debug_package}


%prep
%setup -q -n orc-%{version}


%build
%mingw_meson -D gtk_doc=disabled
%mingw_ninja


%install
export DESTDIR=%{buildroot}
%mingw_ninja install

# static files don't need to be bundled
rm -rf %{buildroot}%{mingw32_libdir}/liborc-test-0.4.a
rm -rf %{buildroot}%{mingw64_libdir}/liborc-test-0.4.a


# Mingw32
%files -n mingw32-orc
%license COPYING
%doc README
%{mingw32_bindir}/liborc-0.4-0.dll
%{mingw32_bindir}/liborc-test-0.4-0.dll
%{mingw32_bindir}/orc-bugreport.exe
%{mingw32_includedir}/orc-0.4/
%{mingw32_libdir}/liborc-0.4.dll.a
%{mingw32_libdir}/liborc-test-0.4.dll.a
%{mingw32_libdir}/pkgconfig/orc-0.4.pc
%{mingw32_libdir}/pkgconfig/orc-test-0.4.pc

%files -n mingw32-orc-compiler
%{mingw32_bindir}/orcc.exe

# Mingw64
%files -n mingw64-orc
%license COPYING
%doc README
%{mingw64_bindir}/liborc-0.4-0.dll
%{mingw64_bindir}/liborc-test-0.4-0.dll
%{mingw64_bindir}/orc-bugreport.exe
%{mingw64_includedir}/orc-0.4/
%{mingw64_libdir}/liborc-0.4.dll.a
%{mingw64_libdir}/liborc-test-0.4.dll.a
%{mingw64_libdir}/pkgconfig/orc-0.4.pc
%{mingw64_libdir}/pkgconfig/orc-test-0.4.pc

%files -n mingw64-orc-compiler
%{mingw64_bindir}/orcc.exe




%changelog
* Fri Sep 20 2024 daviddavid <daviddavid> 0.4.40-1.mga10
+ Revision: 2099251
- new version: 0.4.40

* Tue Mar 05 2024 daviddavid <daviddavid> 0.4.38-1.mga10
+ Revision: 2047620
- new version: 0.4.38

* Wed Feb 07 2024 daviddavid <daviddavid> 0.4.36-1.mga10
+ Revision: 2038432
- new version: 0.4.36

* Sun Oct 29 2023 daviddavid <daviddavid> 0.4.34-1.mga10
+ Revision: 2002583
- new version: 0.4.34

* Thu Dec 01 2022 daviddavid <daviddavid> 0.4.33-1.mga9
+ Revision: 1913614
- new version: 0.4.33

* Thu Mar 24 2022 umeabot <umeabot> 0.4.32-2.mga9
+ Revision: 1824289
- Mageia 9 Mass Rebuild

* Thu Oct 22 2020 daviddavid <daviddavid> 0.4.32-1.mga8
+ Revision: 1638046
- new version: 0.4.32

* Mon Feb 17 2020 umeabot <umeabot> 0.4.31-2.mga8
+ Revision: 1537775
- Mageia 8 Mass Rebuild

* Sun Nov 10 2019 daviddavid <daviddavid> 0.4.31-1.mga8
+ Revision: 1459003
- new version: 0.4.31

* Fri Sep 13 2019 daviddavid <daviddavid> 0.4.30-1.mga8
+ Revision: 1440188
- new version: 0.4.30
- switch to meson build system

* Thu Sep 20 2018 umeabot <umeabot> 0.4.28-2.mga7
+ Revision: 1279929
- Mageia 7 Mass Rebuild

* Fri Jun 15 2018 daviddavid <daviddavid> 0.4.28-1.mga7
+ Revision: 1237074
- new version: 0.4.28

* Thu May 26 2016 tv <tv> 0.4.25-1.mga6
+ Revision: 1018807
- new release

* Wed May 11 2016 tv <tv> 0.4.24-3.mga6
+ Revision: 1012804
+ rebuild (emptylog)

* Wed May 11 2016 tv <tv> 0.4.24-2.mga6
+ Revision: 1012793
- new release

* Mon Feb 01 2016 umeabot <umeabot> 0.4.16-7.mga6
+ Revision: 930888
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.16-6.mga5
+ Revision: 746654
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.16-5.mga5
+ Revision: 682503
- Mageia 5 Mass Rebuild

* Sun Oct 27 2013 neoclust <neoclust> 0.4.16-4.mga4
+ Revision: 547361
- imported package mingw-orc


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May  3 2012 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.4.16-1
- Updated to 0.4.16

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul  4 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.4.14-2
- The package wasn't installable due to broken Requires tags. Fixed

* Fri May 13 2011 - Marc-André Lureau <marcandre.lureau@redhat.com> - 0.4.14-1
- Updated to 0.4.14
- Updated to newer mingw instructions (with mingw64 support)

* Wed Dec 29 2010 - Marc-André Lureau <marcandre.lureau@redhat.com> - 0.4.11-1
- Initial mingw32-orc 0.4.11
- Based upon previous package in Fedora by Fabian Deutsch
